
%define 	module	sphinx_github_changelog
Summary:	Build a sphinx changelog from GitHub Releases
Name:		python3-%{module}
Version:	1.4.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx_github_changelog/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx_github_changelog/%{module}-%{version}.tar.gz
# Source0-md5:	1a8c07c002d789b614f046dec63a193c
URL:		https://github.com/ewjoachim/sphinx-github-changelog
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-poetry-core >= 1.0.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx-github-changelog is a Sphinx plugin that builds a changelog
section based on a repository’s GitHub Releases content.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.rst README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Tue Mar 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_github_changelog.git;a=log;h=master

* Tue Mar 18 2025 Jan Palus <atler@pld-linux.org> 5994bb3
- new

